Bug 1889698 - When the user clicked cancel at the Create Storage Class confirmation dialog all the data from the Local volume set goes off
Summary: When the user clicked cancel at the Create Storage Class confirmation dialog ...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: afrahman
QA Contact: Elena Bondarenko
URL:
Whiteboard:
Depends On:
Blocks: 1890994
TreeView+ depends on / blocked
 
Reported: 2020-10-20 12:00 UTC by Pratik Surve
Modified: 2020-11-24 18:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6968 None closed Bug 1889698: Fix form re-render on cancelling 2020-11-24 14:40:05 UTC

Description Pratik Surve 2020-10-20 12:00:30 UTC
Description of problem:
When the user clicked cancel at the Create Storage Class confirmation dialog all the data from the Local volume set goes off and we will see `Minimum Node Requirement ` Message

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-10-17-040148

How reproducible:
Always 

Steps to Reproduce:
1. Deploy OCP 4.6 
2. Deploy OCS with LSO
3. Create a storage cluster from UI
4. Add require detail's in ocs install flow (in Create Storage Class page)
5. Click Next you will see confirmation dialog comes 
6. Now select Cancel and you will see all the older data, filters goes off, and will see a warning over that page 

Actual results:
Attaching screenshot

Expected results:
When clicked Cancel data should be there 

Additional info:

Comment 3 Elena Bondarenko 2020-11-24 18:19:59 UTC
I re-tested with 4.7.0-0.nightly-2020-11-23-195308. After I clicked Cancel I see the correct data that I entered.


Note You need to log in before you can comment on or make changes to this bug.